Subject: (urth) Latro and Mithra

From: David Duffy <davidd at qimr.edu.au>
Date: Mon, 12 May 2003 01:24:32 +0000

I seem to remember earlier discussion of this.  Looking on various web
sites, Mithra was incorporated into Zoroastrianism as one of the holy
immortals aiding Ahura Mazda: "Mithra was a moral god, ...  His primary
responsibility was to the rightness of the action", "Lord of the
Contract".  He of course was popular later in Rome as Mithras, born on
December 25th, controls precession of the equinox (Ulansey), kills the
bull of the previous age, whose blood is drunk by worshippers (replaced
by bread and wine if bull is not on the menu).

-- 
| David Duffy (MBBS PhD)                                         ,-_|\
| email: davidD at qimr.edu.au  ph: INT+61+7+3362-0217 fax: -0101  /     *
| Epidemiology Unit, Queensland Institute of Medical Research   \_,-._/
| 300 Herston Rd, Brisbane, Queensland 4029, Australia  GPG 4D0B994A v 

--